## org.apache.felix.shell.impl
Class SystemPropertiesCommandImpl

    java.lang.Object
      org.apache.felix.shell.impl.SystemPropertiesCommandImpl

All Implemented Interfaces:
  Command

    public class SystemPropertiesCommandImpl

extends java.lang.Object
implements Command

Command to display, set and modify system properties Usage: sysprop -> displays all the system properties sysprop [key] -> displays the [key] property sysprop -r [key] -> removes the [key] property sysprop [key] [value] -> set the property [key] to [value]

Constructor Summary
`SystemPropertiesCommandImpl()`

Method Summary
`void` `execute(java.lang.String line, java.io.PrintStream out, java.io.PrintStream err)` Executes the command using the supplied command line, output print stream, and error print stream.
`java.lang.String` `getName()` Returns the name of the command that is implemented by the interface.
`java.lang.String` `getShortDescription()` Returns a short description of the command; this description should be as short as possible.
`java.lang.String` `getUsage()` Returns the usage string for the command.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemPropertiesCommandImpl

    public SystemPropertiesCommandImpl()

Method Detail

### execute

    public void execute(java.lang.String line,
                        java.io.PrintStream out,
                        java.io.PrintStream err)

  Description copied from interface: `Command`
  Executes the command using the supplied command line, output print stream, and error print stream.

  Specified by:
    `execute` in interface `Command`
  Parameters:
    `line` - the complete command line, including the command name.
    `out` - the print stream to use for standard output.
    `err` - the print stream to use for standard error.

### getName

    public java.lang.String getName()

  Description copied from interface: `Command`
  Returns the name of the command that is implemented by the interface. The command name should not contain whitespace and should also be unique.

  Specified by:
    `getName` in interface `Command`
  Returns:
    the name of the command.

### getShortDescription

    public java.lang.String getShortDescription()

  Description copied from interface: `Command`
  Returns a short description of the command; this description should be as short as possible. This information is used when generating the command help information.

  Specified by:
    `getShortDescription` in interface `Command`
  Returns:
    a short description of the command.

### getUsage

    public java.lang.String getUsage()

  Description copied from interface: `Command`
  Returns the usage string for the command. The usage string is a short string that illustrates how to use the command on the command line. This information is used when generating command help information. An example usage string for the `install` command is:

           install <URL> [<URL> ...]

  Specified by:
    `getUsage` in interface `Command`
  Returns:
    the usage string for the command.

Copyright © 2006-2012 The Apache Software Foundation. All Rights Reserved.